# rttymodem
This is a backwards modem to connect a teletype to the internet via a terminal unit and your computer's audio interface. The modem supports a subset of the Hayes modem command set, and is backwards because the DTE is on the modulated side of the modem. The DCE side of the modem supports communication over over raw TCP sockets.

## S Registers

### 0 - Auto Answer
Default: 0 (Disabled)

When set to 1, the modem allows inbound TCP connections

### 2 - Escape Code
Default: ?
The character 

### 91 - Modulator Enable
Default: 1 (Enabled)

When set to 1, the modulator audio output is enabled

### 92 - Turnaround Delay
Default: 0

This only applies to AT commands entered at the modem interface; this is the delay in milliseconds between submitting a command, and when the response is sent.

### 93 - Un-shift On Space
Default: Enabled

### 94 - TCP Port
Default: 3333